DataStorageTransferAsyncHandlerOld (The Data Transfer Agent Service 2.0.0-SNAPSHOT API)
Date: 2013-08-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.handlers
Class DataStorageTransferAsyncHandlerOld

    java.lang.Object
      org.gcube.datatransfer.agent.impl.handlers.TransferHandler
          org.gcube.datatransfer.agent.impl.handlers.DataStorageTransferAsyncHandlerOld

All Implemented Interfaces:
  Runnable

    public class DataStorageTransferAsyncHandlerOld

extends TransferHandler

Author:
  Andrea Manzi(CERN)

Field Summary
`protected String[]` | `outputFiles`

Fields inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler
`destData, endIndex, errorHappened, inputFiles, logger, outPath, startIndex, timeout, transferId, transferType`

Constructor Summary
`DataStorageTransferAsyncHandlerOld(String[] inputFiles, String[] outputFiles, String transferId, org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data, int startIndex, int endIndex)`

Method Summary
`void` | `run()`

Methods inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler
`getTransferObjList, isErrorHappened, setTransferObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputFiles

    protected String[] outputFiles

Constructor Detail

### DataStorageTransferAsyncHandlerOld

    public DataStorageTransferAsyncHandlerOld(String[] inputFiles,
                                              String[] outputFiles,
                                              String transferId,
                                              org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type,
                                              org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data,
                                              int startIndex,
                                              int endIndex)
                                       throws org.apache.commons.vfs2.FileSystemException

Throws:
  `org.apache.commons.vfs2.FileSystemException`

Method Detail

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.